Skip to main content
GET
/
files
Download a file
curl --request GET \
  --url https://{port}-{sandboxID}.e2b.app/files \
  --header 'X-Access-Token: <api-key>'
import requests

url = "https://{port}-{sandboxID}.e2b.app/files"

headers = {"X-Access-Token": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Access-Token': '<api-key>'}};

fetch('https://{port}-{sandboxID}.e2b.app/files', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


"<string>"
{
  "message": "path '/home/user/docs' is a directory",
  "code": 400
}
{
  "message": "error looking up user 'nonexistent': user: unknown user nonexistent",
  "code": 401
}
{
  "message": "path '/home/user/missing.txt' does not exist",
  "code": 404
}
{
  "message": "no acceptable encoding found, supported: [identity, gzip]",
  "code": 406
}
{
  "message": "error opening file '/home/user/file.txt': permission denied",
  "code": 500
}
{
  "message": "<string>",
  "code": 123,
  "sandboxID": "<string>"
}

Authorizations

X-Access-Token
string
header
required

Sandbox access token (envdAccessToken) for authenticating requests to a running sandbox. Returned by: POST /sandboxes (on create), POST /sandboxes/{sandboxID}/connect (on connect), POST /sandboxes/{sandboxID}/resume (on resume), and GET /sandboxes/{sandboxID} (for running or paused sandboxes).

Query Parameters

path
string

Path to the file, URL encoded. Can be relative to the user's home directory (e.g. "file.txt" resolves to ~/file.txt).

username
string

User for setting file ownership and resolving relative paths. Defaults to the sandbox's default user.

signature
string

Signature used for file access permission verification.

signature_expiration
integer

Unix timestamp (seconds) after which the signature expires. Only used with the signature parameter.

Response

Entire file downloaded successfully.

The raw file content